### File

`packages/components/layout/eui-notifications/eui-notifications.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-notifications`
imports | `TranslateModule` `EuiNotificationItemComponent` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_BADGE` `EUI_OVERLAY` `EUI_BUTTON`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-notifications.component.html`

### Index

###### Properties

- currentDayNotifications
- isOverlayActive
- oldestNotifications
- string
- today
- unreadNotifications

###### Methods

- onClicked
- onItemClick
- onItemMarkAsRead
- onMarkAllAsRead
- onNoNotificationFoundClick
- onRefresh
- onSettings
- onViewAllClick

###### Inputs

- count
- customUnreadCount
- dateFormat
- headerTitleLabel
- isHidePanelOnViewAllAction
- isShowMarkAllAsReadButton
- isShowMarkAsRead
- isShowRefreshButton
- isShowSettingsButton
- isShowViewAllAction
- items
- markAllAsReadLabel
- markAsReadLabel
- markAsUnReadLabel
- nbUnreadCount
- noNotificationFoundLabel
- noNotificationFoundLink
- refreshLabel
- settingsLabel
- totalLabel
- unreadLabel
- viewAllNotificationsLabel

###### Outputs

- itemClick
- itemMarkAsReadClick
- markAllAsReadClick
- noNotificationFoundClick
- notificationsClick
- refreshClick
- settingsClick
- viewAllClick

###### HostBindings

- class

### Inputs

count
Type : `number`
Default value : `null`

customUnreadCount
Type : `boolean`
Default value : `false`

dateFormat
Type : `string`
Default value : `'dd/MM/YYYY'`

headerTitleLabel
Type : `string`
Default value : `null`

isHidePanelOnViewAllAction
Type : `boolean`
Default value : `true`

isShowMarkAllAsReadButton
Type : `boolean`
Default value : `true`

isShowMarkAsRead
Type : `boolean`
Default value : `true`

isShowRefreshButton
Type : `boolean`
Default value : `true`

isShowSettingsButton
Type : `boolean`
Default value : `true`

isShowViewAllAction
Type : `boolean`
Default value : `true`

items
Type : `{}`
Default value : `[]`

markAllAsReadLabel
Type : `string`
Default value : `null`

markAsReadLabel
Type : `string`
Default value : `null`

markAsUnReadLabel
Type : `string`
Default value : `null`

nbUnreadCount
Type : `number`
Default value : `null`

noNotificationFoundLabel
Type : `string`
Default value : `null`

noNotificationFoundLink
Type : `boolean`
Default value : `false`

refreshLabel
Type : `string`
Default value : `null`

settingsLabel
Type : `string`
Default value : `null`

totalLabel
Type : `string`
Default value : `null`

unreadLabel
Type : `string`
Default value : `null`

viewAllNotificationsLabel
Type : `string`
Default value : `null`

### Outputs

itemClick
Type : `EventEmitter<UxLinkLegacy<NotificationMetadata>>`

itemMarkAsReadClick
Type : `EventEmitter<UxLinkLegacy<NotificationMetadata>>`

markAllAsReadClick
Type : `EventEmitter<MouseEvent>`

noNotificationFoundClick
Type : `EventEmitter<void>`

notificationsClick
Type : `EventEmitter<void>`

refreshClick
Type : `EventEmitter<void>`

settingsClick
Type : `EventEmitter<MouseEvent>`

viewAllClick
Type : `EventEmitter<void>`

### HostBindings

class
Type : `string`
Default value : `'eui-notifications'`

### Methods

onClicked
`onClicked(event: MouseEvent | Event)`

Parameters :

Name | Type | Optional
event | `MouseEvent | Event` | No

Returns : `void`

onItemClick
`onItemClick(link: UxLinkLegacy<NotificationMetadata>)`

Parameters :

Name | Type | Optional
link | `UxLinkLegacy<NotificationMetadata>` | No

Returns : `void`

onItemMarkAsRead
`onItemMarkAsRead(link: UxLinkLegacy<NotificationMetadata>)`

Parameters :

Name | Type | Optional
link | `UxLinkLegacy<NotificationMetadata>` | No

Returns : `void`

onMarkAllAsRead
`onMarkAllAsRead(e: MouseEvent)`

Parameters :

Name | Type | Optional
e | `MouseEvent` | No

Returns : `void`

onNoNotificationFoundClick
`onNoNotificationFoundClick()`
Returns : `void`

onRefresh
`onRefresh(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

onSettings
`onSettings(e: MouseEvent)`

Parameters :

Name | Type | Optional
e | `MouseEvent` | No

Returns : `void`

onViewAllClick
`onViewAllClick(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

### Properties

currentDayNotifications
Type : `[]`
Default value : `[]`

isOverlayActive
Default value : `false`

oldestNotifications
Type : `[]`
Default value : `[]`

string
Type : `string`
Default value : `'eui-notifications'`
Decorators : `@HostBinding('class')`

today
Type : `Date`
Default value : `new Date()`

unreadNotifications
Type : `[]`
Default value : `[]`

# results matching ""

# No results matching ""